/* ===========================
   PRELOADER
=========================== */

#preloader{
    position:fixed;
    inset:0;
    width:100%;
    height:100%;
    background:#070707;
    display:flex;
    justify-content:center;
    align-items:center;
    z-index:999999;
    overflow:hidden;
}

.preloader-bg{
    position:absolute;
    inset:0;
    background:
    radial-gradient(circle at top,#ffd86b20,transparent 45%),
    radial-gradient(circle at bottom,#ff8fd120,transparent 40%),
    #070707;
}

.preloader-content{
    position:relative;
    text-align:center;
    z-index:2;
}

.loader-logo{
    width:95px;
    height:95px;
    border-radius:50%;
    border:2px solid rgba(212,175,55,.3);
    display:flex;
    justify-content:center;
    align-items:center;
    margin:auto;
    animation:spin 5s linear infinite;
}

.loader-logo span{
    font-size:42px;
    font-weight:700;
    color:#D4AF37;
    font-family:'Space Grotesk',sans-serif;
}

.loader-title{
    margin-top:30px;
    color:#fff;
    font-size:30px;
    letter-spacing:4px;
    font-family:'Space Grotesk',sans-serif;
}

.loader-text{
    margin-top:10px;
    color:#cfcfcf;
    letter-spacing:1px;
    font-size:15px;
}

.loader-bar{
    width:280px;
    height:5px;
    margin:35px auto 0;
    border-radius:50px;
    overflow:hidden;
    background:rgba(255,255,255,.08);
}

.loader-progress{
    width:0;
    height:100%;
    border-radius:50px;
    background:linear-gradient(90deg,#FFD9E8,#D4AF37,#ffffff);
    animation:loading 2.8s ease forwards;
}

@keyframes loading{
    from{
        width:0;
    }
    to{
        width:100%;
    }
}

@keyframes spin{
    from{
        transform:rotate(0deg);
    }
    to{
        transform:rotate(360deg);
    }
}

body.loaded #preloader{
    opacity:0;
    visibility:hidden;
    transition:.8s;
}